org.apache.ivy.plugins.resolver.util

## Class MDResolvedResource

- java.lang.Object
- - org.apache.ivy.plugins.resolver.util.ResolvedResource
  - - org.apache.ivy.plugins.resolver.util.MDResolvedResource

All Implemented Interfaces:
  ArtifactInfo

    public class MDResolvedResource
    extends ResolvedResource

### Constructor Summary

Constructors
Constructor and Description
`MDResolvedResource(Resource res, java.lang.String rev, ResolvedModuleRevision rmr)`

### Method Summary

Methods
`ResolvedModuleRevision` `getResolvedModuleRevision()`

### Methods inherited from class org.apache.ivy.plugins.resolver.util.ResolvedResource

`getLastModified, getResource, getRevision, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MDResolvedResource

    public MDResolvedResource(Resource res,
                      java.lang.String rev,
                      ResolvedModuleRevision rmr)

### Method Detail

#### getResolvedModuleRevision

    public ResolvedModuleRevision getResolvedModuleRevision()